# Base image
FROM node:22

# Set working directory
WORKDIR /app

# Install dependencies
COPY package.json package-lock.json ./
RUN npm install

# Copy the rest of the code
COPY . .
RUN npx prisma generate

# Expose the dev port
EXPOSE 3000

# Run dev server
CMD ["npm", "run", "dev"]
